.global-wrapper {
    padding-top: 70px;
}

.header-block {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 5;
    color: #ffffff;
    margin: 0;
    padding: 10px 0;
    background: #000000;
}

.header-container {
    width: 1200px;
    min-width: 320px;
    margin: 0 auto;
    padding: 0 15px;
}

.header-elements {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    position: relative;
}

.header-ham {
    display: none;
}

.header-menu-links-page {
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
}

.header-logo {
    width: 285px;
}

.logo-pic {
    width: 238px;
}

.header-menu {
    width: 885px;
    background-color: #000000;
}

.header-menu-links {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

.header-menu-a {
    color: #ffffff;
    position: relative;
    display: inline-block;
    padding: 0 10px;
    font-size: 16px;
    text-transform: uppercase;
}

.header-menu-a-has-border:after {
    content: '';
    position: absolute;
    bottom: -10px;
    left: 0;
    height: 7px;
    width: 0;
    background: url('../img/link.svg') no-repeat 0 0;
    border-radius: 0 25px 4px 0;
    transition: width 0.4s;
    text-decoration: none;
}

.header-menu-a-has-border:hover:after,
.header-menu-a-has-border.header-menu-a-active:after {
    width: 100%;
}

.header-buttons {
    display: flex;
    flex-direction: row;
    justify-content: right;
    align-items: center;
}

.header-buttons-a-second {
    margin-left: 30px;
}

.header-no-lower {
    text-transform: none;
}

.header-ico-1 {
    float: left;
    margin-right: 5px;
    position: relative;
    background-repeat: no-repeat;
    background-position: 0 0;
    background-size: 200%;
}

.header-ico-1 {
    background: url('../img/sprite.svg') -170px 0 no-repeat;
    width: 16px;
    height: 17px;
}

.header-ico-1:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-repeat: no-repeat;
    background-size: 200%;
    opacity: 0;
    filter: alpha(opacity=0);
    transition: opacity 0.3s;
}

.header-ico-1:after {
    background: url('../img/sprite.svg') -190px 0 no-repeat;
}

.header-ico-sign-in {
    float: left;
    position: relative;
    margin-right: 5px;
    width: 21px;
    height: 16px;
    background: url('../img/sprite.svg') -96px -32px no-repeat;
    transform: rotate(180deg);
}

.header-ico-sign-in:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: url('../img/sprite.svg') -128px -32px no-repeat;
    transition: opacity 0.3s;
    opacity: 0;
}

.header-ico-logout {
    float: left;
    position: relative;
    margin: 2px 0 0 5px;
    width: 21px;
    height: 14px;
    background: url('../img/sprite.svg') -128px -32px no-repeat;
    transition: opacity 0.3s;
    opacity: .4;
}

.header-u-icon {
    color: #cdff00;
}

.header-e-icon {
    color: #757575;
}

.header-u-icon:hover .header-ico-1:after,
.header-e-icon:hover,
.header-u-icon:hover .header-ico-sign-in:after,
.header-e-icon:hover .header-ico-logout {
    opacity: 1;
    filter: alpha(opacity=100);
}

.header-u-icon:hover,
.header-e-icon:hover {
    color: #ffffff;
}

.header-lang-switch {
    position: fixed;
    top: 20px;
    right: 20px;
    width: 35px;
    height: 26px;
    overflow: hidden;
    padding: 0 0 0 5px;
    font-size: 16px;
    line-height: 16px;
    z-index: 6;
    text-transform: uppercase;
    cursor: default;
    border-radius: 4px;
}

.header-lang-switch-line {
    display: none;
}

.header-lang-switch-arrow {
    position: absolute;
    right: 6px;
    top: 8px;
    padding: 3px;
}

.header-lang-switch-arrow::after {
    content: '';
    position: absolute;
    left: 6px;
    bottom: -6px;
    border: 3px solid transparent;
    border-top: 3px solid rgba(203, 255, 0, 0.6);
}

.header-lang-switch:hover {
    height: 56px;
    transition: height 0.3s;
    background-color: #121212;
}

.header-lang-switch-active,
.header-lang-switch-a {
    display: block;
    width: 30px;
    height: 26px;
    padding: 7px 0;
    text-align: left;
    color: rgba(203, 255, 0, 0.6);
}

.header-lang-switch:hover .header-lang-switch-a,
.header-lang-switch:hover .header-lang-switch-active {
    color: rgba(203, 255, 0, 0.6);
}

.header-lang-switch:hover .header-lang-switch-a:hover,
.header-lang-switch:hover .header-lang-switch-active:hover {
    color: #cbff00;
}

.header-lang-switch:hover .header-lang-switch-active:hover + div.header-lang-switch-arrow::after {
    border-top: 3px solid #cbff00;
}

@media only screen and (max-width: 1310px) {
    .global-wrapper {
        padding-top: 60px;
    }

    .header-container {
        width: 970px;
    }

    .header-logo {
        width: 225px;
    }

    .logo-pic {
        width: 200px;
    }

    .header-menu {
        width: 720px;
    }

    .header-hidden-md {
        display: none;
    }

    .header-buttons-a-second {
        margin-left: 20px;
    }
}

@media only screen and (max-width: 1079px) {
    .header-block {
        background: #121212;
    }

    .header-container {
        width: 750px;
    }

    .header-elements {
        justify-content: center;
    }

    .header-logo {
        width: 200px;
    }

    .header-menu {
        display: none;
        width: 100%;
        background: #121212;
    }

    .header-menu-mobile {
        position: fixed;
        left: 0;
        right: 0;
        top: 50px;
        bottom: 0;
        padding: 55px;
    }

    .header-menu-a,
    .header-buttons-a {
        display: block;
        height: auto;
        font-size: 20px;
        margin-bottom: 20px;
        text-align: center;
        text-transform: uppercase;
        padding-bottom: 20px;
        border-bottom: 1px solid #2a3016;
        color: #ffffff;
    }

    .header-menu-a:hover,
    .header-buttons-a:hover {
        color: #cbff00;
    }

    .header-buttons {
        display: block;
    }

    .header-buttons-a-second {
        margin-left: 0;
    }

    .header-hidden-md {
        display: block;
    }

    .header-ico-1,
    .header-ico-sign-in,
    .header-ico-logout {
        display: none;
    }

    .header-menu-links {
        display: block;
        max-width: 720px;
        margin: 0 auto;
        overflow-y: scroll;
    }

    .header-menu-links-page {
        display: block;
    }

    .header-menu-a-has-border:after {
        display: none;
    }

    .header-ham {
        display: inline-block;
        position: absolute;
        left: 0;
        width: 50px;
        height: 12px;
        transform: rotate(0deg);
        cursor: pointer;
    }

    .header-ham-line {
        display: block;
        position: absolute;
        height: 2px;
        width: 20px;
        background: #ccff00;
        opacity: 1;
        left: 0;
        transform: rotate(0deg);
        transition: .1s ease-in-out;
    }

    .header-ham-line:nth-child(1) {
        top: 0;
    }

    .header-ham-line:nth-child(2),
    .header-ham-line:nth-child(3) {
        top: 5px;
    }

    .header-ham-line:nth-child(4) {
        top: 10px;
    }

    .header-ham-active .header-ham-line:nth-child(1) {
        top: 3px;
        width: 0;
        left: 50%;
    }

    .header-ham-active .header-ham-line:nth-child(2) {
        transform: rotate(45deg);
    }

    .header-ham-active .header-ham-line:nth-child(3) {
        transform: rotate(-45deg);
    }

    .header-ham-active .header-ham-line:nth-child(4) {
        top: 3px;
        width: 0;
        left: 50%;
    }

    .header-lang-switch {
        display: flex;
        justify-content: center;
        position: static;
        width: 100%;
        height: auto;
        overflow: auto;
        padding: 0;
        font-size: 16px;
        line-height: normal;
        z-index: 6;
        text-transform: uppercase;
        cursor: default;
        border-radius: 0;
    }

    .header-lang-switch:hover {
        height: auto;
        transition: unset;
        background-color: #121212;
    }

    .header-lang-switch-active {
        color: #76920e;
    }

    .header-lang-switch-a {
        color: #cdfe04;
    }

    .header-lang-switch-active,
    .header-lang-switch-a {
        width: auto;
        height: auto;
        margin: 0 20px;
        padding: 0;
    }

    .header-lang-switch-a:hover {
        color: #FFFFFF;
    }

    .header-lang-switch-arrow {
        display: none;
    }

    .header-lang-switch-line {
        display: block;
    }

    .header-ico-1 {
        margin-right: 5px;
    }
}

@media only screen and (max-width: 768px) {
    .header-container {
        width: 100%;
    }

    .header-menu-links {
        max-width: 100%;
    }

    .logo-pic {
        max-width: 200px;
    }

    .header-menu-mobile {
        position: fixed;
        left: 0;
        right: 0;
        top: 50px;
        bottom: 0;
        padding: 55px 15px;
    }
}

@media (max-width: 380px) {
    .logo-pic {
        max-width: 180px;
    }

    .header-logo {
        width: 180px;
    }
}